#!/bin/bash

export LANG=C
sudo tar -zxvf scmnode.tar.gz -C /opt/
if [ "$?" = "1" ]; then
   echo "Unzip failed"
   exit 1
fi
sudo ln -s /opt/scmnode/tools/libipmi.so.1.0 /opt/scmnode/tools/libipmi.so.1
#replvar=${PWD//\//\\/};
BIN_PATH="\/opt\/scmnode\/"
LIBRARY_PATH="\/opt\/scmnode\/lib"
sudo sed -e "s/@NODE_DAEMON_ROOT/${BIN_PATH}/g" scmnode.tmp > scmnode_root.tmp
sudo sed -e "s/@LIBRARY_PATH/${LIBRARY_PATH}/g" scmnode_root.tmp > scmnode
sudo cp -a ./scmnode /etc/init.d/scmnode
if [ "$?" = "1" ]; then
   echo "copy scmnode to /etc/init.d/scmnode failed"
   exit 1
fi
sudo chmod 755 /etc/init.d/scmnode
if [ "$?" = "1" ]; then
   echo "chmod /etc/init.d/scmnode failed"
   exit 1
fi
sudo chkconfig --add scmnode
if [ "$?" = "1" ]; then
   echo "chkconfig --add scmnode failed"
   exit 1
fi
sudo chkconfig --level 235 scmnode on
if [ "$?" = "1" ]; then
   echo "chkconfig --level 235 scmnode on failed"
   exit 1
fi
echo "Install Successfully"
sudo /etc/init.d/scmnode start
